LinuxQuestions.org
Did you know LQ has a Linux Hardware Compatibility List?
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Hardware
User Name
Password
Linux - Hardware This forum is for Hardware issues.
Having trouble installing a piece of hardware? Want to know if that peripheral is compatible with Linux?

Notices

Reply
 
Search this Thread
Old 04-02-2004, 12:11 AM   #1
arkamir
Member
 
Registered: Nov 2003
Location: Califroni
Distribution: Fedora
Posts: 51

Rep: Reputation: 15
Xfree having problems wiht fglrx and apm


When i try to start X after running fglrxconfig I get his error:


This is a pre-release version of XFree86, and is not supported in any
way. Bugs may be reported to XFree86@XFree86.Org and patches submitted
to fixes@XFree86.Org. Before reporting bugs in pre-release versions,
please check the latest version in the XFree86 CVS repository
(http://www.XFree86.Org/cvs)

XFree86 Version 4.2.1.1 (Debian 4.2.1-12.1 20031003005825 james@nocrew.org) / X
Window System
(protocol Version 11, revision 0, vendor release 6600)
Release Date: 18 October 2002
If the server is older than 6-12 months, or if your card is
newer than the above date, look for a newer version before
reporting problems. (See http://www.XFree86.Org/)
Build Operating System: Linux 2.4.21-rc1-ac1-cryptoloop i686 [ELF]
Module Loader present
Markers: (--) probed, (**) from config file, (==) default setting,
(++) from command line, (!!) notice, (II) informational,
(WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(==) Log file: "/var/log/XFree86.0.log", Time: Thu Apr 1 13:56:50 2004
(==) Using config file: "/etc/X11/XF86Config-4"

Not loading .rodata.str1.32
Not loading .note.GNU-stack
(EE) module ABI minor version (6) is newer than the server's version (5)
(EE) Failed to load module "fglrx" (module requirement mismatch, 0)
(EE) No drivers available.

Fatal server error:
no screens found

When reporting a problem related to a server crash, please send
the full server output, not just the last messages.
This can be found in the log file "/var/log/XFree86.0.log".
Please report problems to submit@bugs.debian.org.

XIO: fatal IO error 104 (Connection reset by peer) on X server ":0.0"
after 0 requests (0 known processed) with 0 events remaining.

I've googled around but still havent found anything that can help me. Hoping some guru here could give me a hand Im running Xfree4.3, have a radeon 9200 all in wonder, and use Version: 3.7.6 of the ati drivers.

Thanks a lot
 
Old 04-02-2004, 03:55 AM   #2
rootboy
Member
 
Registered: Oct 2001
Distribution: Mint 15
Posts: 770

Rep: Reputation: 51
I would try looking here:

http://www.linuxquestions.org/questi...hreadid=143960


John
 
Old 04-02-2004, 11:04 AM   #3
UnTamed
Member
 
Registered: Dec 2002
Location: Qc, Canada
Distribution: CRUX
Posts: 317

Rep: Reputation: 30
>Im running Xfree4.3

...hmmm, maybe you should reconsider

>XFree86 Version 4.2.1.1 (Debian 4.2.1-12.1 20031003005825 james@nocrew.org)

Get the version for XFree 4.2 of the ATI driver.
 
Old 04-02-2004, 06:49 PM   #4
Shade
Senior Member
 
Registered: Mar 2003
Location: Burke, VA
Distribution: RHEL, Slackware, Ubuntu, Fedora
Posts: 1,418
Blog Entries: 1

Rep: Reputation: 46
Either upgrade X or downgrade your drivers

--Shade
 
Old 04-03-2004, 07:55 PM   #5
arkamir
Member
 
Registered: Nov 2003
Location: Califroni
Distribution: Fedora
Posts: 51

Original Poster
Rep: Reputation: 15
Sorry I didnt notice it said Xfree was version 4.2, i upgraded everything but the server . The problem now is that when i run fgl_glxgears i get this error
Error: couldn't get fbconfig
Seems a lot of people have been having troubles with this.
On gentoo you do this

run "opengl-update ati" as root.

I got that from this site:
http://odin.prohosting.com/wedge01/g...tml#4_fbconfig

The thing is im running debian. fglrxinfo gives me this
display: :0.0 screen: 0
OpenGL vendor string: VA Linux Systems, Inc.
OpenGL renderer string: Mesa GLX Indirect
OpenGL version string: 1.2 Mesa 3.4.2

normal glxgears gives me 2200 fps, but tuxracer runs with an unusable framerate. I was wondering if anyone has come up with a solution to this problem??
 
Old 04-06-2004, 10:55 PM   #6
Shade
Senior Member
 
Registered: Mar 2003
Location: Burke, VA
Distribution: RHEL, Slackware, Ubuntu, Fedora
Posts: 1,418
Blog Entries: 1

Rep: Reputation: 46
Did you upgrade your Xserver now? Did you downgrade your drivers?
Did you recompile the driver?
Are you running on an athlon?


--Shade
 
Old 04-08-2004, 11:21 PM   #7
arkamir
Member
 
Registered: Nov 2003
Location: Califroni
Distribution: Fedora
Posts: 51

Original Poster
Rep: Reputation: 15
I upgraded my X version.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
ATI FGLRX 3.7.0 work with Xorg and XFree 4.4! Shade Slackware 19 08-05-2005 05:06 AM
Xfree 4.4 and Radeon fglrx drivers Menestrel Slackware 3 04-15-2004 04:36 AM
APM with XFree? r_jensen11 Linux - Software 1 02-21-2004 10:58 PM
can somebody help me have problems wiht install xawdecode morfeo99 Linux - Newbie 2 06-12-2003 01:20 PM
problems wiht my mouse watashiwaotaku7 *BSD 1 06-10-2003 03:41 PM


All times are GMT -5. The time now is 11:34 AM.

Main Menu
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration